
QGIS Application - Feature request #2579

Adding "Save changes" button to layer editor

2010-03-22 04:46 AM - Jhelebrant -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12639

Description

currently, saving some particular changes to vector layer needs:

1) switch the editing mode off

2) press OK to save the changes

3) switch the editing mode on to be able to add new points

this is not much comfortable, while doing large digitizing or adding many points.

One button to save the changes while keeping the editing mode on would be very helpful so please consider adding it to newer QGIS

version. :D

Associated revisions

Revision 5fca89d7 - 2010-05-16 04:44 PM - Jürgen Fischer

[FEATURE]

- save edits button added (implements #2579)

- subset option to layer menu (implements #2660)

- show selected feature count in status bar (implements #2708)

- temporary workaround for #2714

- refactored redundant code from legend to qgisapp:

  attribute table, save as, layer removal, layer properties

- some more cleanups

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13501 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 9dd9f364 - 2010-05-16 04:44 PM - Jürgen Fischer

[FEATURE]

- save edits button added (implements #2579)

- subset option to layer menu (implements #2660)

- show selected feature count in status bar (implements #2708)

- temporary workaround for #2714

- refactored redundant code from legend to qgisapp:

  attribute table, save as, layer removal, layer properties

- some more cleanups

git-svn-id: http://svn.osgeo.org/qgis/trunk@13501 c8812cc2-4d05-0410-92ff-de0c093fc19c
History

#1 - 2010-04-16 11:35 PM - Ivan Mincik

+1 for this feature

#2 - 2010-05-16 07:45 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

implemented in commit:9dd9f364 (SVN r13502).
